%global momorel 2
%global qtver 3.3.7
%global scintilla 1.71
%global srcname QScintilla
%global qtdir %{_libdir}/qt-%{qtver}

Summary:	QScintilla is a port to Qt of Scintilla C++ editor class
Name:		qscintilla
Version:	1.7.1
Release: %{momorel}m%{?dist}
License:	GPL
Group:		System Environment/Libraries
%NoSource 0 http://www.riverbankcomputing.com/Downloads/%{srcname}1/%{srcname}-%{scintilla}-gpl-%{version}.tar.gz dfa047b45d4f09ae8d4a8a431ba88a5a
Patch:		%{name}-Mandrakization.patch
URL:		http://www.riverbankcomputing.co.uk/qscintilla/
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:	qt-devel = %{qtver}
Requires:	qt = %{qtver}

%description
As well as features found in standard text editing components,
QScintilla includes features especially useful when editing and
debugging source code. These include support for syntax styling, error
indicators, code completion and call tips. The selection margin can
contain markers like those used in debuggers to indicate breakpoints
and the current line. Styling choices are more open than with many
editors, allowing the use of proportional fonts, bold and italics,
multiple foreground and background colours and multiple fonts.

%package devel
Summary: Libraries, include and other files to develop applications with QScintilla.
Group: Development/Libraries
Requires: %{name} = %{version}

%description devel
This packages contains the libraries, include and other files
you can use to develop applications with QScintilla.


%prep 
rm -rf %{buildroot} 

%setup -q -n %{srcname}-%{scintilla}-gpl-%{version}
%patch -p1

%build
export QTDIR=%{qtdir}
export QMAKESPEC=%{qtdir}/mkspecs/linux-g++/
cd qt
%{qtdir}/bin/qmake -o Makefile qscintilla.pro
make DESDIR=%{buildroot}/$QTDIR/lib

%install
# Copy headers
mkdir -p %{buildroot}/%{qtdir}/include/
mkdir -p %{buildroot}/%{qtdir}/translations
cp qt/qextscintilla*.h %{buildroot}/%{qtdir}/include/
cp qt/qscintilla*.qm %{buildroot}/%{qtdir}/translations/

mkdir -p %{buildroot}/%{qtdir}/lib
cp qt/libqscintilla.so.7.0.1 %{buildroot}/%{qtdir}/lib
ln -s libqscintilla.so.7.0.1 %{buildroot}/%{qtdir}/lib/libqscintilla.so.6.0
ln -s libqscintilla.so.7.0.1 %{buildroot}/%{qtdir}/lib/libqscintilla.so.6
ln -s libqscintilla.so.7.0.1 %{buildroot}/%{qtdir}/lib/libqscintilla.so

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig
 
%postun -p /sbin/ldconfig

%files devel
%defattr(-, root, root, 755)
%{qtdir}/include/*
%{qtdir}/lib/libqscintilla.so

%files 
%defattr(-, root, root, 755)
%doc ChangeLog LICENSE NEWS README doc	
%{qtdir}/lib/libqscintilla.so.*
%{qtdir}/translations/qscintilla*.qm

%changelog
* Sun Jan 28 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.7.1-2m)
- rebuild against qt-3.3.7

* Tue Dec  5 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.7.1-1m)
- update to 1.7.1

* Wed Nov 08 2006 Masayuki SANO <nosanosa@momonga-linux.org>
- (1.7-1m)
- update to 1.7

* Mon Sep 19 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.6-1m)
- update to 1.6

* Sun Mar 20 2005 Mitsuru Shimamura <smbd@momonga-linux.org>
- (1.5.1-1m)
- up to 1.5.1

* Fri Feb 25 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.5-1m)
- v1.5

* Tue Feb  1 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (1.4-2m)
- enable x86_64.

* Mon Dec 13 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (1.4-1m)
- first import to Momonga (for scintilla supprot in PyQt)
- based on qscintilla-1.2-1mdk.src.rpm of Mandrake Cooker

#* Wed Aug 20 2003 Austin Acton <aacton@yorku.ca> 1.2-1mdk
#- 1.2
#- major 3

* Tue Jul 15 2003 Austin Acton <aacton@yorku.ca> 1.1-2mdk
- rebuild for rpm

* Fri May 23 2003 Austin Acton <aacton@yorku.ca> 1.1-1mdk
- new URL
- new version
- new major

* Fri May 02 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.0-1mdk
- more mklibname
- from Jr Martin <jerome.f.martin@free.fr> :
	- Version 1.0 (for sip/pyqt 3.6)

* Sat Mar  8 2003 Jerome Martin <jerome.f.martin@free.fr> 0.3-2mdk
- Fix pb

* Mon Dec  2 2002 Jerome Martin <jerome.f.martin@free.fr> 0.3-1mdk
- First release

